#define EXTERN

/*-------------------------
**  Standard include files
**-------------------------
*/
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <sys/time.h>

/*------------------------------
**  Non-standard include files
**------------------------------
*/

#include "ir1.h"

/*-------------------------------------------------------------------
**   cat_pathname () - concatenates the path and filename string to
**           pathname. maxlen should be set to sizeof(pathname).
**           returns pathname.
**-------------------------------------------------------------------
*/
char * cat_pathname( char * pathname, char * path, char * filename, int maxlen)
{
   char tempstr[256];
   char * cptr;
   int l;

   maxlen = MIN( maxlen, sizeof(tempstr));
   strxcpy(tempstr, path, maxlen);
   unpad( tempstr, ' ' );

   l = strlen(tempstr);
   if( l>0 && tempstr[l-1] != '/' && l < maxlen)
      strcat(tempstr, "/");
   for( cptr=filename; (*cptr==' ') && (*cptr != 0) ;) cptr++;
   strxcat( tempstr, cptr, sizeof(tempstr) );
   strxcpy( pathname, tempstr, maxlen);
   return pathname;
}

/************************ eof ************************/
