
#define EXTERN

/*-------------------------
**  Standard include files
**-------------------------
*/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <strings.h>
#include <math.h>
#include <sys/time.h>

/*------------------------------
**  Non-standard include files
**------------------------------
*/

#include "ir1.h"

/*--------------------------------------------------------------------
**  dateStr2unixtime() - convert a string in format "yyyy/mm/dd.d"
**      to unix time -  seconds (as a double).
**--------------------------------------------------------------------
*/
int dateStr2unixtime(
   double *tv_sec,     /* Returns seconds to the caller */
   char   *str         /* string in time format (hh:mm:ss.ss) to convert */
)
{
   char buf[30];
   int year, month;
   double day;
   char * cptr;
   char * st_ptr;  // for strtok_r()

   if( str == NULL )
      return ERR_INV_FORMAT;

   strxcpy( buf, str, sizeof(buf));

   if( NULL == (cptr = strtok_r( buf, " /", &st_ptr)) )
      return( ERR_INV_FORMAT );
   year = ( cptr == NULL ? 0 : atoi(cptr) );

   if( NULL == (cptr = strtok_r( (char*)NULL, " /", &st_ptr)) )
      return( ERR_INV_FORMAT );
   month = ( cptr == NULL ? 0 : atoi(cptr) );

   if( NULL == (cptr = strtok_r( (char*)NULL, " /", &st_ptr)) )
      return( ERR_INV_FORMAT );
   day = ( cptr == NULL ? 0 : atof(cptr) );

   /* now convert year, mm, day to unix time */

   /* unfinished! */

   return ERR_NONE;
}


