
#define EXTERN

/*-------------------------
**  Standard include files
**-------------------------
*/
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <dirent.h>
#include <sys/param.h>
#include <malloc.h>
#include <memory.h>

/*------------------------------
**  Non-standard include files
**------------------------------
*/

#include "ir1.h"

/*-----------------------------------------------------------
**   exist_path() - Test of pathname is a ready a directory.
**         Returns:   0   pathname exist.
**                   -1   pathname is not a directory.
**-----------------------------------------------------------
*/
int exist_path( char * pathname )
{
   struct stat sbuf;

   if( -1 == stat( pathname, &sbuf))
      return -1;

   if( sbuf.st_mode & (S_IFDIR | S_IREAD | S_IEXEC ))
      return 0;
   else
      return -1;
}

/************************ eof ************************/
