
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <sys/time.h>

#include "ir1.h"

/*----------------------------------------------------------
** unpad( s ) - removes beginning and trailing characters c
**              from string s. Return s.
**----------------------------------------------------------
*/
char *unpad ( s, c )
   char * s;
   int c;
{
   int i, l;
   if( s==NULL)
		return(NULL);
   i = l = strlen(s);
   i--;
   while ( (i>=0) && (s[i]==c) )
      s[i--] = 0;
   for( i=0; s[i]==c; i++);
   if( i > 0 )
       memmove(s, s+i, l-i+1);
   return(s);
}

