
 
#define EXTERN
 
/*-------------------------
**  Standard include files
**-------------------------
*/
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <sys/time.h>
 
/*------------------------------
**  Non-standard include files
**------------------------------
*/
 
#include "ir1.h"
 
/*-------------------------------------------------------------------
**   dir_from_path () - extracts the file name portion from a
**           full pathname.
**-------------------------------------------------------------------
*/
void dir_from_path( char *dir, char *pathname, int dir_size )
{
   int  size;
   char * slash;
   char buf[256];
 
   /* initialize to null */
   *dir = 0;
 
   /* find last '/' in path */
   if( NULL == (slash = strrchr( pathname, '/')) )
      return;
 
   size = MIN(slash - pathname+1, dir_size);
   size = MAX( 0, size);
 
   /* copy directory to user. We copy to local variable buf just in case
      the destination filename is the same or overlaps the pathname. */
   strxcpy( buf, pathname, size);
   strcpy( dir, buf);
}
 

